//
//  ehkLanguageDefines.h
//  mHouseKeeping
//
//  Created by Dung Phan on 9/24/15.
//
//

#import <Foundation/Foundation.h>

#define L_menu_guest_profile @"menu_guest_profile"
#define L_title_guest_profile @"title_guest_profile"
#define L_posting_history @"posting_history"
#define L_action_history @"action_history"
#define L_filter_all @"filter_all"
#define L_filter_floor @"filter_floor"
#define L_filter_zone @"filter_zone"
#define L_filter_room_status @"filter_room_status"
#define L_filter_room_type @"filter_room_type"
#define L_title_no_failed_room @"title_no_failed_room"
#define L_title_no_passed_room @"title_no_passed_room"
#define L_legend_pending @"legend_pending"
#define L_legend_reassign_pending @"legend_reassign_pending"
#define L_legend_reassign_complete @"legend_reassign_complete"
#define L_legend_make_up_room_reassign @"legend_make_up_room_reassign"
#define L_legend_dnd @"legend_dnd"
#define L_legend_double_lock @"legend_double_lock"
#define L_legend_service_later @"legend_service_later"
#define L_legend_declined_service @"legend_declined_service"
#define L_legend_start @"legend_start"
#define L_legend_pause @"legend_pause"
#define L_legend_stop @"legend_stop"
#define L_legend_completed @"legend_completed"
#define L_legend_rush_room @"legend_rush_room"
#define L_legend_queue_room @"legend_queue_room"
#define L_legend_out_of_service @"legend_out_of_service"
#define L_legend_profile_notes @"legend_profile_notes"
#define L_legend_stayover @"legend_stayover"
#define L_legend_privious_day @"legend_privious_day"
#define L_legend_due_in @"legend_due_in"
#define L_legend_due_out @"legend_due_out"
#define L_legend @"btn_legend"
#define L_message_deny_start_room @"message_deny_start_room"
#define L_message_logout_user @"message_logout_user"
#define L_reason @"reason"
#define L_oos_duration @"oos_duration"
#define L_linen_item_used @"linen_item_used"
#define L_linen_item_new @"linen_item_new"
#define L_amenity_item_used @"amenity_item_used"
#define L_amenity_item_new @"amenity_item_new"
#define L_assign_time_not_current_day @"assign_time_not_current_day"
#define L_invalid_room_status @"invalid_room_status"
#define L_strcompleted @"strcompleted"
#define L_wrong_room @"wrong_room"
#define L_select_room_status @"select_room_status"
#define L_service_later @"service_later"
#define L_dnd_service @"dnd_service"
#define L_double_lock_service @"double_lock"
#define L_declined_service @"declined_service"
#define L_completed_label @"completed_label"
#define L_Log_No @"Log_No"
#define L_Log_WS @"Log_WS"
#define L_View_Log @"View_Log"
#define L_action @"action"
#define L_confirm_title @"confirm_title"
#define L_physical_remark @"physical_remark"
#define L_guest_type @"guest_type"
#define L_guest_arriving @"arriving"
#define L_guest_in_house @"in_house"
#define L_LAUNDRY_REGULAR @"laundry_regular"
#define L_LAUNDRY_EXPRESS @"laundry_express"
#define L_REGULAR @"regular"
#define L_EXPRESS @"express"
#define L_MALE @"male"
#define L_FEMALE @"female"
#define L_INSTRUCTION @"instruction"
#define L_GRAND_TOTAL @"linen_grand_total"
#define L_ADD_TO_CART @"linen_add_to_cart"
#define L_USED @"count_used"
#define L_CART @"cart"
#define L_SUBTOTAL @"sub_total"
#define L_POINTS_RECEIVED @"points_received"
#define L_POINTS_POSSIBLE @"points_possible"
#define L_POINTS_TOTAL @"points_total"
#define L_ROOM_STANDARDS @"room_standarts"
#define L_CHECKLIST_STATUS @"checklist_status"
#define L_OVERRAL @"overral"
#define L_UNASSIGNED_ROOM @"unassigned_room"
#define L_ASSIGN_ROOM @"assign_room"
#define L_lbl_reassign @"reassign_room"
#define L_lbl_assign @"lbl_assign"
#define L_unassign @"unassign"
#define L_alert @"alert"
#define L_ios_laundry_please_dispatch_for_pickup @"ios_laundry_please_dispatch_for_pickup"
#define L_remark_title @"remark_title"
#define L_stop @"stop"

#pragma mark - Find Function
#define L_ATTENDANT @"attendant"
#define L_ROOM_TITLE @"room_title"
#define L_ROOM_TITLE_FIND_BY_STATUS @"find_by_status_title"
#define L_ROOM_TITLE_FIND_BY_ROOM_NO @"find_by_room_no_title"
#define L_ADDITIONAL_JOB_TITLE @"additional_job_title"
#define L_NO_RESULT_FOUND @"no_result_found"
#define L_FIND @"find"
#define L_ROOM_ATTENDANT @"room_attendant"
#define L_BY @"by"
#define L_ALL @"all"
#define L_BY_ROOM_STATUS @"by_room_status"
#define L_BY_ROOM_NO @"by_room_no"
#define L_CURRENT @"current"
#define L_TIME @"time"
#define L_CLEANING_ROOM @"cleaning_room"
#define L_RA_NAME @"ra_name"
#define L_ALL_TITLE @"all_title"
#define L_NO_ROOM @"no_room"
#define L_FAIL_INSPECTION @"fail_inspection"
#define L_COMPLETED_ROOM @"completed_room"
#define L_PASS_INSPECTION @"pass_inspection"
#define L_PENDING_ROOM @"pending_room"
#define L_AHEAD_SCHEDULE @"ahead_schedule"
#define L_ROOMS_PENDING @"dirty_room"
#define L_ROOMS_COMPLETED @"room_completed"
#define L_find_room_occupied_due_out @"find_room_occupied_due_out"
#define L_find_room_od_od @"find_room_od_od"
#define L_find_room_inspected @"find_room_inspected"
#define L_find_room_rush_room @"find_room_rush_room"
#define L_find_room_queue_room @"find_room_queue_room"
#define L_find_room_unassign @"find_room_unassign"
#define L_find_room_oos @"find_room_oos"
#define L_find_room_profile_notes_exist @"Profile Notes Exist"
#define L_find_room_stay_over @"Stay Over"
#define L_find_room_double_lock @"Double Lock"
#pragma mark - === Message ===
#pragma mark
#define L_getting_message @"getting_message"
#define L_adhocMsg_inbox_title @"adhocMsg_inbox_title"
#define L_sent_item @"sent_item"
#define L_date_and_time @"date_and_time"
#define L_to @"to"
#define L_message_history @"message_history"
#define L_lostandfound_msg_alert @"alert"
#define L_lostandfound_msg_delete_confirmation @"lostandfound_msg_delete_confirmation"
#define L_adhocMsg_message_content_title_navigation @"adhocMsg_message_content_title_navigation"
#define L_adhocMsg_message_contacts_title_navigation @"adhocMsg_message_contacts_title_navigation"
#define L_forward_message @"forward_message"
#define L_adhocMsg_sent_message_title @"adhocMsg_sent_message_title"
#define L_adhocMsg_inbox_message_title @"inbox_message"
#define L_forward @"forward"
#define L_subject @"subject"
#define L_reply @"reply"
#define L_reply_message @"reply_message"
#define L_add_hoc_message @"add_hoc_message"
#define L_ios_message_please_fill_the_address @"ios_message_please_fill_the_address"
#define L_ios_message_please_fill_content_of_message @"ios_message_please_fill_content_of_message"
#define L_lostandfound_msg_save_success @"lostandfound_msg_save_success"
#define L_view_message @"view_message"
//#define L_ios_message_send @"ios_message_send"
#define L_ios_message_send @"send"
#define L_ios_message_please_fill_subject @"ios_message_please_fill_subject"
#define L_lostandfound_msg_save_fail @"lostandfound_msg_save_fail"
#define L_ios_message_there_is_nothing_to_save @"ios_message_there_is_nothing_to_save"
#define L_adhocMsg_top_subject @"adhocMsg_top_subject"
#define L_select @"select"
#define L_adhocMsg_select_all @"adhocMsg_select_all"
#define L_adhocMsg_Unselect_all @"unselect_all"
#define L_adhocMsg_send_to @"adhocMsg_send_to"
#define L_adhocMsg_message_content @"message_content"
#define L_adhocMsg_please_input @"please_input"
#define L_adhocMsg_receiver @"receiver"
#define L_adhocMsg_subject @"subject"

#pragma mark - === Room ===
#pragma mark
#define L_today @"today"
#define L_yesterday @"yesterday_text"
#define L_ios_ra_name @"ra_name"
#define L_data_error @"data_error"
#define L_no_data @"no_data"
#define L_ra_full_name @"ra_full_name"
#define L_room_attendant_name @"room_attendant_name"
#define L_room_detail_input_checklist_room_status @"room_detail_input_checklist_room_status"
#define L_room_detail_cancel_cleaning @"cancel_cleaning"
#define L_cancel_inspection @"cancel_inspection"
//#define L_room_detail_last_cleaning_date @"room_detail_last_cleaning_date"
#define L_please_wait_syncing_progress @"please_wait_syncing_progress"
#define L_last_cleaning_date @"last_cleaning_date"
#define L_total_duration_used @"total_duration_used"
#define L_average_inspect_time @"average_inspect_time"
#define L_room_status @"room_status"
#define L_assign_to @"assign_to"
#define L_cleaning_credit @"cleaning_credit"
#define L_assign_date_to @"assign_date_to"
#define L_assign_time_at @"assign_time_at"
#define L_estimated_inspection_time @"estimated_inspection_time"
#define L_actual_inspection_time @"actual_inspection_time"
#define L_room_inspectionstatus @"room_inspectionstatus"
#define L_inspection_status @"inspection_status"
#define L_actual_cleaning_time @"actual_cleaning_time"
#define L_msgalert_confirmblockroom @"msgalert_confirmblockroom"
#define L_please_complete_room_started @"please_complete_room_started"
#define L_msgalert_confirmcancelcleaning @"msgalert_confirmcancelcleaning"
#define L_msgalert_confirmchangecleaningstatusToStop @"msgalert_confirmchangecleaningstatus"

#define L_are_you_done_with_the_room_cleaning @"are_you_done_with_the_room_cleaning"
#define L_complete_this_additional_job @"complete_this_additional_job"
#define L_are_you_sure_to_stop_this_additional_job @"are_you_sure_to_stop_this_additional_job"
#define L_please_complete_the_additional_job_before_leaving @"please_complete_the_additional_job_before_leaving"
#define L_profile_note_title @"profile_note_title"
#define L_room_confirmchangeroomstatus @"room_confirmchangeroomstatus"
#define L_Counts @"Counts"
#define L_strmins @"strmins"
#define L_strhour @"strhour"
#define L_rm @"room_no"
#define L_room_number @"room_number"
#define L_room_inspection @"room_inspection"
#define L_reassign_room @"reassign_room"
#define L_reassign_to @"reassign_to"
#define L_reassign_date_to @"reassign_date_to"
#define L_reassign_time_at @"reassign_time_at"
#define L_recleaning_time @"recleaning_time"
#define L_btn_room_inspected @"btn_room_inspected"
#define L_room_reaassignRoom @"room_reaassignRoom"
#define L_strchecklist @"strchecklist"
#define L_please_save_before_leaving @"please_save_before_leaving"
#define L_passed @"strPass"
#define L_failed @"strFail"

//#define L_reassign_date_can_not_be_past @"reassign_date_can_not_be_past"
#define L_assign_date_can_not_be_past @"res_reassign_date_past"

//#define L_reassignment_out_of_staff_workshift @"reassignment_out_of_staff_workshift"
#define L_assignment_out_of_staff_workshift @"res_reassign_out_workshift"

//#define L_reassignment_out_of_remained_time @"reassignment_out_of_remained_time"
#define L_assignment_out_of_remained_time @"res_reassign_out_remained_time"

#define L_assignment_not_exist @"res_duty_assignment_doesnt_exist"
#define L_assignment_staff_not_assigned @"res_staff_isnt_assigned"
#define L_end_cleaning_time_exceed_current_day_assignment @"end_cleaning_time_exceed_current_day_assignment"

#pragma mark - === Count Popup Reminder ===
#pragma mark
#define L_please_confirm_there_are_no_more_count_update @"please_confirm_there_are_no_more_count_update"
#define L_confirm_add_to_cart @"confirm_add_to_cart"
#define L_complete_room_to_leave @"complete_room_to_leave"
#define L_subtotal @"Subtotal"
#define L_service_charge @"Service_Charge"
#define L_express_charge @"Express_Charge"
#define L_total @"Total"
#define L_total_cost @"Total_Cost"
#define L_subtotal_cost @"Subtotal_Cost"
#define L_express @"Express"
#define L_regular @"Regular"
#define L_internet_exception @"internet_exception"
#define L_error_posting @"error_posting"
#define L_notify_unpost_data @"do_you_want_update_un_post_data_to_server"

#pragma mark - === Lost & Found ===
#pragma mark
#define L_lostandfound_category_title @"lostandfound_category_title"
#define L_lostandfound_undefined_value @"lostandfound_undefined_value"
#define L_lostandfound_color_title @"lostandfound_color_title"
#define L_lostanfound_colour_selection @"lostanfound_colour_selection"
#define L_lostanfound_all_item @"all_item"
#define L_lostanfound_choose_photo @"choose_photo"
#define L_lostanfound_photo_title  @"lostanfound_photo_title"
#pragma mark - === Guideline ===
#pragma mark
#define L_Guideline @"Guideline"
#define L_guideline_setup @"guideline_setup"
#define L_guideline_desciption @"guideline_desciption"
#define L_SetupStandard @"Setup Standard"


#pragma mark - === Unassign ===
#pragma mark
#define L_add @"add"
#define L_room_no_assign_room @"room_no_assign_room"
#define L_room_no_unassign_room @"room_no_unassign_room"
#define L_ios_unassign_floor @"ios_unassign_floor"
#define L_please_confirm_to_assign_the_room @"please_confirm_to_assign_the_room"
#define L_zone_no @"zone_no"

#pragma mark - === Engineering case ===
#pragma mark
#define L_the_top_item @"the_top_item"

#pragma mark - === Setting ===
#pragma mark
#define L_notifycation_type_setting @"notifycation_type_setting"
#define L_photo_resolution_setting @"photo_resolution_setting"
#define L_synch_setting @"synch_setting"
#define L_web_service_url @"web_service_url"
#define KEY_WEBSERVICE_URL @"key webservice url"
#define CHECK_ROOM_CLEAN_FROM_WS @"key_room_clean_from_ws" // AnLe Configure This Constant Key
#define L_notification_ring @"notification_ring"
#define L_notification_vibrate @"notification_vibrate"
#define L_notification_toast @"notification_toast"
#define L_synch_automatically @"synch_Automatically"
#define L_synch_manual @"synch_Manual"
#define L_resolution_72DPI @"resolution_72DPI"
#define L_resolution_82DPI @"resolution_82DPI"
#define L_resolution_92DPI @"resolution_92DPI"
#define SETTING_240_180 @"240x180"
#define SETTING_320_240 @"320x240"
#define SETTING_480_360 @"480x360"
#define L_sync_period   @"sync_period"
#define L_message_clear_data_base @"message_clear_data_base"
#define L_message_reset_data_base @"message_reset_data_base"
#define L_message_change_to_demo_mode @"message_change_to_demo_mode"
#define L_message_change_to_online_mode @"message_change_to_online_mode"
#define L_message_period @"message_period"
#define L_log @"Log"
#define L_room_no_valid @"room_no_valid"
#define L_retrial_times @"retrial_times"
#define L_btn_export_database @"export_database"
#define L_btn_reset_database @"btn_reset_database"

#pragma mark - === Check Save ===
#pragma mark
#define TAG_OF_EVENT @"tag of event"
#define DEFAULT_TIMEOUT @"defaultWSTimeOut"
#define RETRY_TIMES @"RETRY_TIME"

#pragma mark - Define Message in Alert Box
#define L_access_right_access_denied @"access_right_access_denied"
#define L_ALERT_SAVECHECKLIST @"msgalert_savechecklist"
#define L_ALERT_SAVECHECKLISTDETAIL @"msgalert_savechecklistdetail"
#define L_ALERT_ERRORCHECKLISTDETAIL @"msgalert_errorchecklistdetail"
#define L_ALERT_SAVECOUNTS @"msgalert_savecount"
#define L_ALERT_SAVEASSIGN @"msgalert_saveassign"
#define L_ALERT_DISCARDSAVECOUNTS @"msgalert_discardsavecount"
#define L_ALERT_SAVEROOMDETAIL @"msgalert_saveroomdetail"

#pragma mark - Edit by dthanhson
#define LAST_LOG_FILE_POSITION @"last_log_file_pos"
#define LAST_LOGGING_DATE @"last_logging_date"
//Hao Tran - Remove for unused property
//#define CURRENT_USER_ID @"cur_user_id"
//Hao Tran - END
#define IS_FOLLOW_ROOM_ASSIGN_ORDER @"is_follow_order"
#define ENABLE_ROOM_VALIDATE @"enable_room_validate"
#define ENABLE_LOG @"enable_log"
#define TIME_GO_BG @"time_enter_background"
#define ENABLE_LOGWS @"enable_logws"
#define ENABLE_DEMO_MODE @"enable_demo_mode"
#define ENABLE_3G @"ENABLE_3G"
#define ENABLE_WIFI @"ENABLE_WIFI"
#define L_COMPLETED @"strcompleted"
#define L_INSPECTED @"inspected"
#define L_room @"room"
#define L_submit_minibar_items @"submit_minibar_items"
#define L_submit_linen_items @"submit_linen_items"
#define L_submit_engineering_items @"submit_engineering_items"
#define L_submit_lost_found_items @"submit_lost_found_items"
#define L_submit_amenities_items @"submit_amenities_items"
#define L_submit_room_status_message @"submit_room_status_message"
#define L_loading_find_floor_list @"loading_find_floor_list"
#define L_loading_find_room_assignment @"loading_find_room_assignment"

//Minibar History
#define L_minibar_item_used @"minibar_item_used"
#define L_minibar_item_new @"minibar_item_new"

// Reassign
#define L_priority_lable @"priority_lable"
#define L_remark @"remark"
#define L_time @"time"
#define L_title_unassigned @"title_unassigned"
#define L_set_up @"set_up"

// Home and Legend button
#define L_btn_home_swipe @"btn_home_swipe"
#define L_btn_legend_swipe @"btn_legend_swipe"

#define L_app_version @"app_version"

// Define keys for LANGUAGE PACK
#define L_APP_NAME @"app_name"
#define L_TAB_NAME @"tab_name"
#define L_TITLE_USER_ID @"title_user_id"
#define L_TITLE_LOGIN @"title_login"
#define L_TITLE_PASSWORD @"title_password"
#define L_TITLE_WELCOME_MSG @"title_welcome_msg"
#define L_COUNT @"count"
#define L_LAUNDRY @"laundry"
#define L_GUIDE @"Guide"
#define L_ASSIGNMENT @"assignment"
#define L_GO @"label_go"
#define L_INSPECTION @"room_inspections"
#define L_LOCATION @"location"
#define L_TOWER @"tower"
#define L_FLOOR_NO @"floor_no"
#define L_PROPERTY @"property"
#define L_BUILDING @"building"
#define L_BTN_VIEW_ASSIGNMENT @"btn_view_assignment"
#define L_BTN_VIEW_INSPECTION @"Rooms Inspected"

#define L_ROOM_INVALID @"invalid_room_no"
#define L_STATUS_CANT_BE_POSTED @"status_cannot_post_msg"
#define L_INVALID_DATA @"no_inputted_data"
#define L_ROOM_NO @"room_no"
#define L_ROOM_NO_DETAIL @"room_no_detail"
#define L_GUEST_NAME @"guest_name"
#define L_RM_STATUS @"rm_status"
#define L_NO_OF_JOBS @"numbers_additional_job"
#define L_VIP @"vip"
#define L_DURATION_USED @"duration_used"
#define L_CLEANING_STATUS @"cleaning_status"
#define L_RA_INITIAL @"ra_initial"

#define L_HOUSEKEEPER_INFO_CONTINUE @"housekeeper_info_continue"
#define L_HOUSEKEEPER_INFO @"housekeeper_info"
#define L_HOUSEKEEPER_NAME @"housekeeper_name"
#define L_SUPERVISOR_NAME @"supervisor_name"
#define L_TOTAL_ROOM_CLEANED @"total_room_cleaned"
#define L_TOTAL_TIME_USED @"total_time_used"
#define L_AVERAGE_TIME_USED @"average_time_used"
#define L_TOTAL_ROOM_INSPECTED @"total_room_inspected"
#define L_ROOM_DETAIL @"room_detail"
#define L_GUEST_INFO @"guest_info"
#define L_EXPECTED_CLEANING_TIME @"expected_cleaning_time"
#define L_GUEST_REFERENCE @"guest_reference"
#define L_ADDITIONAL_JOB @"additional_job"
#define L_LOST_FOUND @"lost_found"
#define L_ENGINEERING_CASE @"engineering_case"
#define L_GUIDE_LINE @"guide_line"
#define L_DETAIL @"detail"
#define L_COUNT_UPPERCASE @"Count"
#define L_LAUNDRY_UPPERCASE @"Laundry"
#define L_GUIDE_UPPERCASE @"Guide"
#define L_MESSAGE_LIST @"Message_List"
#define L_MESSAGE_DETAIL @"Message_detail"
#define L_AD_HOC_MESSAGE @"Ad_hoc_message"
#define L_MESSAGE_TOPIC @"message_topic"
#define L_MESSAGE_TEMPLATE @"message_template"
#define L_MESSAGE @"message"
#define L_USER @"user"
#define L_VIP_STATUS @"vip_status"
#define L_LANGUAGE_PREF @"language_pref"
#define L_CHECK_IN @"check_in"
#define L_CHECK_OUT @"check_out"
//Room assignment
#define L_RA_SELECT_ACTION @"ra_select_action"
#define L_RA_LOADING_DATA @"ra_loading_data"
#define L_RA_LOADING_DATA_CONTENT @"ra_loading_data_content"
//Check list
#define L_CHECKLIST @"checklist"
#define L_BED @"bed"
#define L_BATHROOM @"bathroom"
#define L_WRITING_DESK @"writing_desk"
#define L_LIVING_ROOM @"living_room"
#define L_MIRROR @"mirror"
#define L_PASS @"pass"
#define L_FAIL @"fail"
#define L_RATING @"rating"
#define L_COMMENT @"comment"
#define L_LANGUAGE @"language"
#define L_DONE @"done"
#define L_CANCEL @"cancel"
#define L_OK @"ok"
#define L_YES @"yes"
#define L_VIEW @"view"
#define L_NO @"no"
#define L_CLOSE @"close_btn"
#define L_TEXT_SIZE @"text_size"
#define L_MINI_BAR @"mini_bar"
#define L_CHARGEABLE @"chargeable"
#define L_NON_CHARGEABLE @"non_chargeable"
#define L_BEVERAGE @"beverage"
#define L_SNACK @"snack"
#define L_WATER @"water"
#define L_ITEM @"item"
#define L_QUANTITY @"quantity"
#define L_PRICE @"price"
#define L_BATH_ROOM @"bath_room"
//Manipulating list position
#define L_RA_LIST_ITEM_UP @"ra_list_item_up"
#define L_RA_LIST_ITEM_DOWN @"ra_list_item_down"
#define L_RA_LIST_ITEM_DETAIL @"ra_list_item_detail"
//Engineering case
#define L_ENGINEERING_CASE_TITLE @"engineering_case_title"
#define L_EC_LOCATIONS @"locations"
#define L_EC_TYPE_OF_ITEM @"type_of_item"
#define L_EC_TOP_10_ITEM @"top_10_item"
#define L_EC_REMARK @"remark"
#define L_EC_ISSUE @"issue"
#define L_EC_BTN_ATTACHPHOTO @"btn_attachphoto"
#define L_EC_BTN_DISPATCH @"btn_dispatch"
#define L_EC_LOCATION_TITLE @"location_title"
#define L_EC_PHOTO_TITLE @"photo_title"

//Lost and Found case
#define L_LOSTANDFOUND_CASE_TITLE @"lostanfound_case_title"
#define L_LF_CATEGORIES @"categories_lf"
#define L_LF_COLOUR @"colour_lf"
#define LF_MSG_ALERT @"lostandfound_msg_alert"
#define L_MSG_NOTSUPERVISOR @"msg_not_supervisor"
#define L_MSG_INCORRECT_LOGIN @"msg_incorrect_login"
#define L_MSG_WAITING_ROOM_DETAIL @"msg_waiting_room_detail"
#define L_MSG_WAITING_ROOM_DETAIL_CONTENT @"msg_waiting_room_detail_content"

#define L_MSG_LOGOUT @"msg_logout"
#define L_MSG_AUTHENTICATING @"msg_authenticating"
#define L_MSG_AUTHENTICATING_CONTENT @"msg_authenticating_content"
#define L_MSG_SAVE_MESSAGE @"msg_save_message"
#define L_MSG_SENT_MESSAGE @"msg_sent_message"
#define L_MSG_ERROR_SENT_MESSAGE @"msg_error_sent_message"
#define L_MSG_RESET_DATABASE @"msg_reset_database"
#define L_MSG_PERIOD_7_DAYS @"msg_period_7_days"
#define L_MSG_PERIOD_30_DAYS @"msg_period_30_days"
#define L_MSG_NEW_MESSAGE @"msg_new_message"
#define L_MSG_SYNC_MESSAGE @"msg_sync_message"
#define L_MSG_SYNC_RUNNING_MESSAGE @"msg_sync_running_message"
#define L_MSG_USER_LOCKED @"msg_user_locked"
#define L_INVALIDTIME @"invalidTime"
#define L_DIALOG_NAME @"dialog_name"
#define L_DIALOG_QUANTITY @"dialog_quantity"
#define L_DIALOG_PRICE @"dialog_price"
#define L_DIALOG_NEW @"dialog_new"
#define L_DIALOG_DELETE_ALL @"dialog_delete_all"
#define L_DIALOG_ADD_NEW @"dialog_add_new"
#define L_DIALOG_COLLECTED @"dialog_collected"
#define L_DIALOG_TOTAL_CHARGE @"dialog_total_charge"
#define L_FROM @"from"
#define L_AMENITIES @"amenities"
#define L_LINEN @"linen"
#define L_DELETE @"delete"
#define L_TAKE_PHOTO @"take_photo"
#define L_EDIT @"edit"
#define L_SEND @"send"
#define L_NO_WIFI @"no_wifi"
#define L_NO_ROOMASSIGNED @"no_room_assigned"
#define L_NO_MESSAGE @"no_message"
#define L_RA_SAVING_DATA @"ra_saving_data"
#define L_SENDING_DATA @"sending_data"
#define L_SENDING_DATA_FAIL @"sending_data_fail"
#define L_MESSAGE_SENDING_SUCCESSFUL @"sending_message_succesfully"
#define L_SENDING_DATA_SUCCESFULLY @"sending_data_succesfully"
#define L_MSG_REFRESHING_DATA @"msg_refreshing_data"

#define L_BTN_HOME @"btn_home"
#define L_BTN_CHECK_LIST @"btn_check_list"
#define L_BTN_MESSAGE @"btn_message"
#define L_BTN_JOB @"btn_job"
#define L_BTN_SAVE @"btn_save"
#define L_BTN_POSTING @"posting_label"
#define L_BTN_SYNC_NOW @"btn_sync_now"
#define L_BTN_SETTING @"btn_setting"
#define L_BTN_LOGOUT @"btn_logout"
#define L_BTN_UNASSIGN @"btn_unassign"
#define L_BTN_FIND @"btn_find"
#define L_UNASSIGN_ROOM @"unassign_room"
#define L_ASSIGN_ASSIGNTO @"assign_to"
#define L_ASSIGN_ASSIGNDATETO @"assign_date_to"
#define L_ASSIGN_ASSIGNTIMEAT @"assign_time_at"
#define L_ASSIGN_EXPECTEDCLEANINGTIME @"expectedCleaningTime"

#define L_ASSIGNMENT_COMPLETED @"assignment_completed"
#define L_ASSIGNMENT_INSPECTED @"assignment_inspected"
#define L_PASSED_INSPECTED @"passed_inspected"
#define L_FAILED_INSPECTED @"failed_inspected"

#define L_BACK @"back"
#define L_BTN_ACTION @"btn_action"
#define L_SEARCH @"search"
#define L_ERROR @"error"
#define L_MSG_SYNC_INCOMPLETE @"msg_sync_incomplete"
#define L_NEW_MESSAGE @"new_message"
#define L_LIST_USER @"list_user"
#define L_MSG_CAN_NOT_SAVE_WHEN_EDIT @"msg_can_not_save_when_edit"
#define L_MSG_CAN_ONLY_CHOOSE_3_PICTURE @"msg_can_only_choose_3_picture"
#define L_MSG_DO_NOT_HAVE_MORE_ITEM_TO_ADD @"msg_do_not_have_more_item_to_add"
#define L_MSG_ADD_ITEM_SUCCESSFULLY @"msg_add_item_successfully"
#define L_MSG_UPDATE_ITEM_SUCCESSFULLY @"msg_update_item_successfully"
#define L_MSG_SYNC_PERIOD_SETTING @"msg_sync_period_setting"
#define L_MSG_PLEASE_CHOOSE @"msg_please_choose"
#define L_COUNTS @"Counts"
#define L_MSG_PLEASE_DISPATCH_THIS_FOR_PICKUP @"ios_laundry_please_dispatch_for_pickup"
#define L_MSG_ROOM_REMOVE @"msg_removed"

/////Posting//////
#define L_Menu_Title @"menu"
#define L_Physical_Check_Title @"physical_check"
#define L_MINIBAR @"Minibar"
#define L_Linen_Title @"Linen"
//#define L_Engineering_Title @"engineering"
//#define L_Lost_and_Found_Title @"lost_and_found"
#define L_DND_ROOM @"dnd_room_detail"
#define L_SUBMIT @"submit_btn"
//add by Nhat
#define L_HISTORY @"history_title"
#define L_JOB @"job"

//#define L_MENU_HISTORY @"menu_history"
#define L_PHYSICAL_CHECK_HISTORY @"physical_check_history"
#define L_MINIBAR_HISTORY @"mini_bar_history"
#define L_LINEN_HISTORY @"linen_history"
#define L_ENGINEER_HISTORY @"engineering_history"
#define L_LOST_FOUNT_HISTORY @"lost_found_history"
#define L_AMENITIES_HISTORY @"amenities_history"
#define L_HISTORY_BOTTOM_TABAR @"history_lable"

#define L_task_details @"task_details"
#define L_guest_do_not_exist @"guest_do_not_exist"
#define L_please_choose_search @"please_choose_search"
#define L_no_guest_photo @"no_guest_photo"
#define L_no_email_account @"no_email_account"
#define L_guideline_item_have_no_data @"guideline_item_have_no_data"
#define L_job_pressed @"job_pressed"
#define L_only_available_on_call_function_warning @"only_available_on_call_function_warning"
#define L_cancel_dialog @"cancel_dialog"
#define L_activity_detail @"activity_detail"
#define L_ra_morning_meeting @"ra_morning_meeting"
#define L_please_input_time_out @"please_input_time_out"
#define L_strcomplete @"strcomplete"
#define L_strpending @"strpending"
#define L_strdnd @"strdnd"
#define L_strdouble_lock @"strdouble_lock"
#define L_days_ago @"days_ago"
#define L_no_of_guest @"no_of_guest"
#define L_strhigh @"strhigh"
#define L_strlow @"strlow"
#define L_job_status @"job_status"
#define L_alert_title @"alert_title"
#define L_average_clean_time @"average_clean_time"
#define L_room_pending @"room_pending"
#define L_no_guest_found @"no_guest_found"

#define L_complete_this_other_activity @"complete_this_other_activity"
#define L_stop_this_other_activity @"stop_this_other_activity"
#define L_complete_the_other_activity_before_leaving @"complete_the_other_activity_before_leaving"

#define L_special_assignment_restriction_you_must_be_a_primary_room_attendant @"special_assignment_restriction_you_must_be_a_primary_room_attendant"
#define L_special_assignment_restriction_you_must_online @"special_assignment_restriction_you_must_online"

#define L_inspection_cross_zone_restriction_you_must_be_a_primary_supervisor @"inspection_cross_zone_restriction_you_must_be_a_primary_supervisor"
#define L_inspection_cross_zone_restriction_you_must_online @"inspection_cross_zone_restriction_you_must_online"

#pragma mark For use with NSUserDefaults
#define KEY_BACKGROUND_MODE @"BACKGROUND_MODE"
#define KEY_HEARTBEAT_SERVER @"HEARTBEAT_SERVER"
#define KEY_HEARTBEAT_PORT @"HEARTBEAT_PORT"

@interface ehkLanguageDefines : NSObject

@end
